#
# spec file for package z1013emu (Version 1.32)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         z1013emu
Copyright:    1998 Andreas Ziermann
Group:        Applications/Emulators
Autoreqprov:  on
Version:      1.32
Release:      316
Summary:      Z1013 emulator
Source:  z1013emu132_source.tar.gz
Source1: z1013emu130_z80.tar.gz
Patch:   z1013emu.dif
Patch1:  z1013-alpha.dif

%description
Emulates the "Z1013 microcomputer kit" manufactured in the German Democratic
Republic (GDR).

Authors:
--------
    Andreas Ziermann <iagam@cluster.urz.uni-halle.de>

SuSE series: emu

%prep
%setup -n z1013emu -a 1
%patch
%patch1 -p1

%build
%ifarch i386 ia64 alpha arm
make ORDER=LSB_FIRST OPTFLAGS="$RPM_OPT_FLAGS"
%else
make ORDER=MSB_FIRST OPTFLAGS="$RPM_OPT_FLAGS"
%endif

%install
install -m 755 tgz/z1013emu_Linux_`uname -m`.exe /usr/X11R6/bin/z1013emu
install -m 644 z1013emu.conf /etc/z1013emu.conf
install -d -m 755 /usr/lib/z1013emu
cp -a z1013emu/soft z1013emu/system  /usr/lib/z1013emu

%files
%doc z1013emu/doc/*
/usr/X11R6/bin/z1013emu
/etc/z1013emu.conf
/usr/lib/z1013emu

%changelog -n z1013emu
* Thu Mar 29 2001 - uli@suse.de
- enabled AXP patch for all archs
- compile with proper endianness and RPM_OPT_FLAGS
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Wed Mar 07 2001 - stepan@suse.de
- alpha compile fixes.
* Sun Jan 23 2000 - ro@suse.de
- fix to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - ro@suse.de
- build for any arch
* Wed Jul 07 1999 - uli@suse.de
- update -> 1.32
* Tue Jun 29 1999 - uli@suse.de
- update -> 1.30
* Tue Mar 30 1999 - uli@suse.de
- new package, version 1.24
